import request from '@/utils/request'

// 工程监理--监理日记列表
export function apiSupervisionDiaryLists(params: any) {
    return request.get({ url: '/supervision_work.supervision_diary/lists', params })
}

// 添加工程监理--监理日记
export function apiSupervisionDiaryAdd(params: any) {
    return request.post({ url: '/supervision_work.supervision_diary/add', params })
}

// 编辑工程监理--监理日记
export function apiSupervisionDiaryEdit(params: any) {
    return request.post({ url: '/supervision_work.supervision_diary/edit', params })
}

// 删除工程监理--监理日记
export function apiSupervisionDiaryDelete(params: any) {
    return request.post({ url: '/supervision_work.supervision_diary/delete', params })
}

// 工程监理--监理日记详情
export function apiSupervisionDiaryDetail(params: any) {
    return request.get({ url: '/supervision_work.supervision_diary/detail', params })
}